import { Component, OnInit } from '@angular/core';
import { ElectronProxyService } from '../commons/service/electron-proxy.service';
import { ProbeService } from '../commons/service/probe.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'scanner-app';
  showTitleBar: boolean;

  public constructor(
    private electronProxyService: ElectronProxyService,
    private probeService: ProbeService,
  ) {
    // this.showTitleBar = !__LINUX__;
    this.showTitleBar = false;
  }

  ngOnInit(): void {
    // this.probeService.connect();
    this.electronProxyService.sendReady(performance.now());
  }
}
